=== modified file 'debian/changelog'
--- debian/changelog	2018-07-25 04:23:22 +0000
+++ debian/changelog	2018-08-02 04:00:39 +0000
@@ -1,3 +1,9 @@
+livecd-rootfs (2.525.6) UNRELEASED; urgency=medium
+
+  * generate all tar files with --xattrs.  LP: #1302192.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Aug 2018 20:57:14 -0700
+
 livecd-rootfs (2.525.5) bionic; urgency=medium
 
   * live-build/auto/config: Improve linux-tools filter to work for i386 too.

=== modified file 'live-build/auto/build'
--- live-build/auto/build	2018-07-02 18:44:34 +0000
+++ live-build/auto/build	2018-08-02 04:00:39 +0000
@@ -459,7 +459,7 @@
 done
 
 if [ -e "binary/$INITFS/filesystem.dir" ]; then
-	(cd "binary/$INITFS/filesystem.dir/" && tar -c *) | \
+	(cd "binary/$INITFS/filesystem.dir/" && tar -c --xattrs *) | \
 		gzip -9 --rsyncable > "$PREFIX.rootfs.tar.gz"
 	chmod 644 "$PREFIX.rootfs.tar.gz"
 elif [ -e binary-tar.tar.gz ]; then
@@ -496,7 +496,7 @@
 fi
 
 if [ "$PROJECT" = "ubuntu-touch" ] || [ "$PROJECT" = "ubuntu-touch-custom" ]; then
-	(cd "binary/$INITFS/custom.dir/" && tar -c *) | \
+	(cd "binary/$INITFS/custom.dir/" && tar -c --xattrs *) | \
 		gzip -9 --rsyncable > "$PREFIX.custom.tar.gz"
 	chmod 644 "$PREFIX.custom.tar.gz"
 fi

